Desktop/esus-1/routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', App\Http\Livewire\Index::class)->name('homepage');
Route::get('/verify-certificate/{uuid}', App\Http\Livewire\Public\CertificateVerification::class)->name('verify-certificate');
Route::get('/verify-certificate', App\Http\Livewire\Public\CertificateIndex::class)->name('verify-certificate-index');
Route::post('forgot-password', [\App\Actions\Fortify\ResetPassword::class,'store'])->name('password.email');
Route::middleware(['middleware' => 'auth'])->get('/dashboard', function () {
//    return view('dashboard');
    return redirect('/profile');
})->name('dashboard');
Route::get('/need-complete-registration',function () {
    return view('errors.complete-registration');
})->name('errors.complete-registration');
Route::get('join-group/{uuid}', \App\Http\Livewire\Profile\JoinGroup::class)->middleware('user.complete.fill')->name('join-group');

Route::group(['middleware' => 'auth'], function () {
    Route::get('profile',\App\Http\Livewire\Profile\UserController::class)->name('user.profile');
    Route::get('profile/edit',\App\Http\Livewire\Profile\Users\UsersEdit::class)->name('user.profile.edit');
    Route::get('profile/orders/{id?}',\App\Http\Livewire\Profile\Orders::class)->name('user.orders.list')->where('id', '[0-9]+');
    Route::get('user/profile', function () {return redirect('profile');})->name('profile.show');
});

Route::group(['middleware' => ['auth','user.complete.fill']], function () {
    Route::get('messages',\App\Http\Livewire\Profile\MessagesList::class)->name('messages.list');
    Route::get('groups/active',\App\Http\Livewire\Profile\Groups\Active::class)->name('user.groups.active');
    Route::get('groups/archive',\App\Http\Livewire\Profile\Groups\Archive::class)->name('user.groups.archive');
    Route::get('group/{slug}',\App\Http\Livewire\Profile\GroupView::class)->name('user.group.view');
});

Route::prefix('trainer')->name('trainer.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', \App\Http\Livewire\Trainer\TrainerProfile::class)->name('profile');
        Route::get('/groups/active', \App\Http\Livewire\Trainer\Groups\Active::class)->name('groups.active');
        Route::get('/groups/archive', \App\Http\Livewire\Trainer\Groups\Archive::class)->name('groups.archive');
        Route::get('/group/{slug}', \App\Http\Livewire\Trainer\Groups\GroupsView::class)->name('groups.view');
        Route::get('/group/{slug}/statements', \App\Http\Livewire\Trainer\Groups\StatementsView::class)->name('groups.statements');
        Route::get('/programs/{id}', \App\Http\Livewire\Trainer\Programs\ProgramsView::class)->name('programs.view');
    });
});

//Route::prefix('affiliate')->name('affiliate.')->group(function () {
//    Route::group(['middleware' => 'auth'], function () {
//        Route::get('/', function () { return redirect('/affiliate/messages');})->name('index');
//        Route::get('/trainers', \App\Http\Livewire\Affiliate\Trainers\TrainersList::class)->name('trainers.index');
//        Route::get('/groups', \App\Http\Livewire\Affiliate\Groups\GroupsList::class)->name('groups.index');
//        Route::get('/schedule', \App\Http\Livewire\Affiliate\Schedule\ScheduleList::class)->name('schedule.index');
//        Route::get('/messages', \App\Http\Livewire\Affiliate\Messages\MessagesList::class)->name('messages.index');
//        Route::get('/grants', \App\Http\Livewire\Affiliate\Grants\GrantsList::class)->name('grants.index');
//    });
//});

Route::prefix('oop')->name('oop.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/oop/courses');})->name('index');
        Route::get('/courses', \App\Http\Livewire\Oop\Courses\CoursesIndex::class)->name('courses.index');
        Route::get('/courses/create', \App\Http\Livewire\Oop\Courses\CoursesEdit::class)->name('courses.create');
        Route::get('/courses/{id}/edit', \App\Http\Livewire\Oop\Courses\CoursesEdit::class)->name('courses.edit');
        Route::get('/grants', \App\Http\Livewire\Oop\Grants\GrantsIndex::class)->name('grants.index');
        Route::get('/grants/{id}/show', \App\Http\Livewire\Oop\Grants\GrantsShow::class)->name('grants.show');
        Route::get('/trainers', \App\Http\Livewire\Oop\Trainers\TrainersIndex::class)->name('trainers.index');
        Route::get('/trainers/{id}/show', \App\Http\Livewire\Oop\Trainers\TrainersShow::class)->name('trainers.show');
    });
});

Route::prefix('omr')->name('omr.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/omr/trainers');})->name('index');
        Route::get('/trainers', \App\Http\Livewire\Omr\Trainers\TrainersIndex::class)->name('trainers.index');
        Route::get('/trainers/create', \App\Http\Livewire\Omr\Trainers\TrainersEdit::class)->name('trainers.create');
        Route::get('/trainers/{id}/edit', \App\Http\Livewire\Omr\Trainers\TrainersEdit::class)->name('trainers.edit');
        Route::get('/grants', \App\Http\Livewire\Omr\Grants\GrantsIndex::class)->name('grants.index');
        Route::get('/grants/{id}/show', \App\Http\Livewire\Omr\Grants\GrantsShow::class)->name('grants.show');
        Route::get('/courses', \App\Http\Livewire\Omr\Courses\CoursesIndex::class)->name('courses.index');
        Route::get('/courses/{id}/show', \App\Http\Livewire\Omr\Courses\CoursesShow::class)->name('courses.show');
        Route::get('/schedule', \App\Http\Livewire\Omr\Schedule\ScheduleIndex::class)->name('schedule.index');
        Route::get('/groups', \App\Http\Livewire\Omr\Groups\GroupsIndex::class)->name('groups.index');
        Route::get('/groups/create', \App\Http\Livewire\Omr\Groups\GroupsEdit::class)->name('groups.create');
        Route::get('/groups/{id}/edit', \App\Http\Livewire\Omr\Groups\GroupsEdit::class)->name('groups.edit');

    });
});

Route::prefix('ooup')->name('ooup.')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/ooup/groups');})->name('index');
        Route::get('/years', \App\Http\Livewire\Ooup\Years\YearsIndex::class)->name('years.index');
        Route::get('/courses', \App\Http\Livewire\Ooup\Courses\CoursesIndex::class)->name('courses.index');
        Route::get('/courses/{id}/show', \App\Http\Livewire\Ooup\Courses\CoursesShow::class)->name('courses.show');
        Route::get('/grants', \App\Http\Livewire\Ooup\Grants\GrantsIndex::class)->name('grants.index');
        Route::get('/grants/{grant}', \App\Http\Livewire\Ooup\Grants\GrantsEdit::class)->name('grants.edit');
        Route::get('/trainers', \App\Http\Livewire\Ooup\Trainers\TrainersIndex::class)->name('trainers.index');
        Route::get('/trainers/{id}/show', \App\Http\Livewire\Ooup\Trainers\TrainersShow::class)->name('trainers.show');
        Route::get('/groups', \App\Http\Livewire\Ooup\Groups\GroupsIndex::class)->name('groups.index');
        Route::get('/groups/create', \App\Http\Livewire\Ooup\Groups\GroupsEdit::class)->name('groups.create');
        Route::get('/groups/{id}/edit', \App\Http\Livewire\Ooup\Groups\GroupsEdit::class)->name('groups.edit');
        Route::get('/groups/{slug}/statements', \App\Http\Livewire\Ooup\Groups\StatementsView::class)->name('groups.statements');
        Route::get('groups/{id}/certificates', \App\Http\Livewire\Ooup\Groups\GroupsCertificates::class)->name('groups.certificates');
        Route::get('/weekends', App\Http\Livewire\Ooup\Weekends\WeekendsIndex::class)->name('weekends.index');
        Route::get('/schedule', \App\Http\Livewire\Ooup\Schedule\ScheduleIndex::class)->name('schedule.index');
        Route::get('certificates', \App\Http\Livewire\Ooup\Certificates\CertificatesList::class)->name('certificates.index');
        Route::get('certificates/{id}/show', \App\Http\Livewire\Ooup\Certificates\CertificatesEdit::class)->name('certificates.show');
        Route::get('cert-templates', \App\Http\Livewire\Ooup\Certificates\CertificatesTemplatesList::class)->name('certificates-templates.index');
        Route::get('cert-templates/create', \App\Http\Livewire\Ooup\Certificates\CertificatesTemplatesEdit::class)->name('certificates-templates.create');
        Route::get('cert-templates/{id}/edit', \App\Http\Livewire\Ooup\Certificates\CertificatesTemplatesEdit::class)->name('certificates-templates.edit');
        Route::get('audits', \App\Http\Livewire\Ooup\Audit\AuditIndex::class)->name('audit.index');
        Route::get('audits/{id}', \App\Http\Livewire\Ooup\Audit\AuditView::class)->name('audit.view');
        Route::get('reports', \App\Http\Livewire\Ooup\Reports\ListenersByCourses::class)->name('reports.index');
    });
});

// TODO: Дать имя для `admin` роута и поменять везде
Route::prefix('admin')->name('admin.')->group(function () {
// Route::prefix('admin')->name('')->group(function () {
    Route::group(['middleware' => 'auth'], function () {
        Route::get('/', function () { return redirect('/admin/schedule');})->name('homepage');
        Route::get('audits', \App\Http\Livewire\Admin\Audit\AuditIndex::class)->name('audit.index');
        Route::get('audits/{id}', \App\Http\Livewire\Admin\Audit\AuditView::class)->name('audit.view');
        Route::get('statements', \App\Http\Livewire\Admin\Statements\MessagesIndex::class)->name('statements.index');
        Route::get('statements/{id}', \App\Http\Livewire\Admin\Statements\MessagesEdit::class)->name('statements.edit');

Desktop/esus-1/app/Http/Livewire/Accountant/Audit/AuditIndex.php
<?php

namespace App\Http\Livewire\Accountant\Audit;

use App\Models\AuditReports;
use App\Models\Years;
use App\Traits\ValidateMessages;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Symfony\Component\HttpFoundation\Response;

class AuditIndex extends Component
{
    public $ipp = 20;
    public $modal_add_new = false;
    public $reporttype;
    public $year;

    public function mount()
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
    }

    public function render()
    {
        $audits = AuditReports::query();
        $audits = $this->applyFilter($audits);
        return view('livewire.accountant.audit.audit-index',[
            'audits' => $audits->paginate($this->ipp),
        ])->layout('layouts.accountant');
    }

    private function applyFilter(\Illuminate\Database\Eloquent\Builder $item)
    {
        $item = $item->orderBy('created_at','DESC');
        $item = $item->with('userItem');
        return $item;
    }

    public function destroy($id)
    {
        AuditReports::find($id)->delete();
    }



    public function add_new()
    {
        $this->modal_add_new = true;
    }
    use ValidateMessages;
    public function add_report()
    {
        $this->validate([
            'reporttype' => 'required|integer',
            'year' => 'required|integer',
        ]);
        $auditReport = new AuditReports();
        $auditReport->year = $this->year;
        $auditReport->type = $this->reporttype;
        $auditReport->user = auth()->user()->id;
        $auditReport->save();
        $this->modal_add_new = false;
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Audit/AuditView.php
<?php

namespace App\Http\Livewire\Accountant\Audit;

use App\Models\AuditReports;
use App\Models\Languages;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Symfony\Component\HttpFoundation\Response;

class AuditView extends Component
{
    private $audit;
    private $languages;
    public function mount($id)
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');

        $this->audit = AuditReports::where('id', $id)->first();
        $this->languages = Languages::all();
    }
    public function render()
    {
        if ($this->audit->status == AuditReports::AUDIT_REPORT_STATUS_FINISHED) {
            if ($this->audit->type == AuditReports::AUDIT_REPORT_TYPE_COURSES) {
                return view('livewire.accountant.audit.audit-view-courses', [
                    'audit' => json_decode($this->audit->data, true),
                    'year' => $this->audit->year,
                    'languages' => $this->languages,
                ])->layout('layouts.accountant');
            } elseif($this->audit->type == AuditReports::AUDIT_REPORT_TYPE_GROUPS) {
                return view('livewire.accountant.audit.audit-view-groups', [
                    'audit' => json_decode($this->audit->data, true),
                    'year' => $this->audit->year,
                    'languages' => $this->languages,
                ])->layout('layouts.accountant');
            } elseif($this->audit->type == AuditReports::AUDIT_REPORT_TYPE_LISTENERS) {
                return view('livewire.accountant.audit.audit-view-listeners', [
                    'audit' => json_decode($this->audit->data, true),
                    'year' => $this->audit->year,
                    'languages' => $this->languages,
                ])->layout('layouts.accountant');
            }
        } else {
            return view('livewire.accountant.audit.audit-not-ready', [
                'type' => $this->audit->type,
                'year' => $this->audit->year,
            ])->layout('layouts.accountant');
        }
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Certificates/CertificatesEdit.php
<?php

namespace App\Http\Livewire\Accountant\Certificates;

use App\Models\Certificates;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Symfony\Component\HttpFoundation\Response;

class CertificatesEdit extends Component
{
    public $certificate;
    public function mount($id = null)
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
        $this->certificate = Certificates::where('id',$id)->first();
        if (!$this->certificate) abort(404);

    }

    public function render()
    {
        return view('livewire.accountant.certificates.certificates-edit')->layout('layouts.accountant');
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Certificates/CertificatesList.php
<?php

namespace App\Http\Livewire\Accountant\Certificates;

use App\Models\Certificates;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Livewire\WithPagination;
use Symfony\Component\HttpFoundation\Response;

class CertificatesList extends Component
{
    use WithPagination;
    public $ipp = 20;

    public function mount()
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
    }
    public function render()
    {
        $item = Certificates::query();
        $item = $this->applySearch($item);
        return view('livewire.accountant.certificates.certificates-list',[
            'certificates' => $item->paginate($this->ipp),
        ])->layout('layouts.accountant');
    }

    private function applySearch(\Illuminate\Database\Eloquent\Builder $item)
    {
        return $item;
    }
}

Desktop/esus-1/app/Http/Livewire/Accountant/Courses/CoursesIndex.php
<?php

namespace App\Http\Livewire\Accountant\Courses;

use App\Models\Courses;
use Illuminate\Support\Facades\Gate;
use Livewire\Component;
use Livewire\WithPagination;
use Symfony\Component\HttpFoundation\Response;

class CoursesIndex extends Component
{
    use WithPagination;

    public $search;
    public $type = '';
    public $grading = '';

    private $courses;

    protected $queryString = [
        'search' => ['except' => ''],
        'grading' => ['except' => ''],
        'type' => ['except' => ''],

    ];
    use \App\Traits\ValidateMessages;
    private $rules = [
        'search' => 'nullable|string',
        'type' => 'nullable|integer',
        'grading' => 'nullable|integer'
    ];


    public function mount()
    {
        abort_if(Gate::denies(\App\Models\Permission::PERMISSION_OOUP), Response::HTTP_FORBIDDEN, '403 Ошибка доступа ');
//        $this->applyFilter();
    }

    public function applyFilter()
    {
        $this->resetPage();
    }


    public function render()
    {
        $this->courses = Courses::query();
        $this->courses = $this->applySearch($this->courses)->paginate();
        return view('livewire.accountant.courses.courses-index',[
            'courses' => $this->courses,
        ])->layout('layouts.accountant');
    }

    private function applySearch(\Illuminate\Database\Eloquent\Builder $item)
    {
        if ($this->search) {
            $search = '%' . $this->search . '%';
            $item = $item->where(function ($query) use ($search) {
                $query->where('kz_title', 'LIKE', $search)
                    ->orWhere('ru_title', 'LIKE', $search)
                ;
            });
        }

        if ($this->type != '') {
            $item = $item->where('type', $this->type);
        }

        if ($this->grading != '')
        {
            $item = $item->where('grading', $this->grading);
        }

        return $item;
    }
}

Desktop/esus-1/resources/views/livewire/trainer/trainer-profile.blade.php
<div>
    <div class="flex w-full border-b-2 border-[#F4F4F5] space-x-2 items-end mb-5">
        <div class="text-5xl font-bold text-black py-2.5 px-4">{{ __('trainer.groups.title') }}</div>
        <div class="flex">
            <a href="{{ route('trainer.profile') }}" class="text-lg text-[#2563EB] font-medium py-5 mx-5 hover:text-blue-900 @if (request()->routeIs('trainer.profile')) border-b-2 border-[#2563EB] @endif">{{ __('trainer.groups.title.active') }}</a>
            <a href="{{ route('user.groups.archive') }}" class="text-lg text-[#2563EB] font-medium py-5 mx-5 hover:text-blue-900 @if (request()->routeIs('user.groups.archive')) border-b-2 border-[#2563EB] @endif">{{ __('trainer.groups.title.archive') }}</a>
        </div>
    </div>
    <div class="flex flex-col mx-auto py-2 px-4 sm:px-6 lg:px-8">
        <div class="w-full flex flex-col space-y-4">
            <div class="w-full">
                <span class="text-[20px] font-[300]">{{ __('trainer.groups.groups') }}</span>
            </div>
            <div class="w-full flex flex-col">
                <div class="w-full flex justify-end space-x-4">
                    <div class="flex space-x-4">
                        <div class="flex flex-col mb-4 w-full">
                            <label class="flex flex-col text-left">
                                <span class="text-gray-700 mb-2">{{ __('trainer.filter.start') }}</span>
                            </label>
                            <x-inputs.date id="start" wire:model.defer="start_time" />
                            @error('start_time')
                            <p class="text-xs text-red-600">{{ $message }}</p>
                            @enderror
                        </div>
                        <div class="flex flex-col mb-4 w-full">
                            <label class="flex flex-col text-left">
                                <span class="text-gray-700 mb-2">{{ __('trainer.filter.end') }}</span>
                            </label>
                            <x-inputs.date id="end" wire:model.defer="end_time" />
                            @error('end_time')
                            <p class="text-xs text-red-600">{{ $message }}</p>
                            @enderror
                        </div>
                    </div>
                    <div class="flex space-x-4">
                        <div class="flex justify-between items-center mb-4">
                            <label class="flex flex-col text-left">
                                <span class="text-gray-700 mb-2">{{ __('trainer.filter.affiliates') }}</span>
                                <select
                                        class="w-48 px-3 py-1 border rounded focus:border-blue-500 hover:border-blue-500 text-sm outline-none focus:input-shadow">
                                    <option value>{{ __('admin.courses.index.filter.all') }}</option>
{{--                                    @foreach(\App\Models\Affiliates::all() as $item)--}}
{{--                                        <option value="{{ $item->id }}">{{ $item->title }}</option>--}}
{{--                                    @endforeach--}}
                                </select>
                            </label>
                        </div>
                        <div class="flex flex-col mb-4">
                            <label class="flex flex-col text-left">
                                <span class="text-gray-700 mb-2 whitespace-nowrap">{{ __('trainer.filter.langs') }}</span>
                            </label>
                            <div class="flex items-center space-x-2">
                                <select
                                        class="w-48 px-3 py-1 border rounded focus:border-blue-500 hover:border-blue-500 text-sm outline-none focus:input-shadow">
                                    <option value>{{ __('admin.courses.index.filter.all') }}</option>
{{--                                    @foreach(\App\Models\Languages::all() as $item)--}}
{{--                                        <option value="{{ $item->id }}">{{ $item->title }}</option>--}}
{{--                                    @endforeach--}}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="flex justify-end">
                    <button
                            class="text-sm flex justify-center items-center space-x-1.5 px-4 py-1 border-0 bg-blue-500 text-white rounded hover:bg-blue-600">
                        <span>{{ __('trainer.buttons.accept.filters') }}</span>
                    </button>
                </div>
            </div>
            @if($groups->isEmpty())
                <div class="w-full">
                    <div class="bg-[#F9F9F9] h-40 flex">
                        <span class="m-auto text-[17px] text-[#929292]">{{ __('trainer.groups.groups.empty') }}</span>
                    </div>
                </div>
            @else
                <div class="w-full">
                    <div class="w-full">
                        <table class="w-full text-[15px] text-center">
                            <thead class="bg-[#F9F9F9] border-b-2 ">
                            <tr>
                                <th class="py-4 w-1/3  text-left pl-4">{{ __('trainer.table.head.title.program') }}</th>
                                <th class="py-4 text-left pl-4">{{ __('trainer.table.head.group') }}</th>
                                <th class="py-4 text-left pl-4">{{ __('trainer.table.head.period') }}</th>
                                <th class="py-4 text-left pl-4">{{ __('trainer.table.head.listeners') }}</th>
                                <th class="py-4 ">{{ __('trainer.table.head.action') }}</th>
                            </tr>
                            </thead>
                            <tbody class="">
{{--                            @dd($groups->toArray())--}}
                            @foreach($groups as $group)
                                <tr onclick="window.location = '{{ route('trainer.groups.view', $group->slug) }}'" class="border-b-2 cursor-pointer hover:bg-[#E3E3E3]">
                                    <td class="py-4 w-1/3 text-left pl-4">{{ $group->coursesItem->ru_title }}</td>
                                    <td class="py-4 text-left pl-4">{{ $group->slug }}</td>
                                    <td class="py-4 text-left pl-4">{{ date('d.m.y',strtotime($group->start_time)) }} &mdash; {{ date('d.m.y',strtotime($group->end_time)) }}</td>
                                    <td class="py-4 text-left pl-4">{{ $group->users()->count() }}/{{ $group->count_all }}</td>
                                    <td class="text-[#3A8CF7]"><a href="{{ route('trainer.groups.view', $group->slug) }}">{{ __('trainer.links.login') }}</a></td>
                                </tr>
                            @endforeach
                            </tbody>

                        </table>
                    </div>
                </div>
            @endif
        </div>
        <div class="mb-4"></div>
        <div class="w-full flex flex-col space-y-4">
            <div class="w-full">
                <span class="text-[20px] font-[300]">{{ __('trainer.programs.title') }}</span>
            </div>
            @if(Auth::user()->courses->isEmpty())
                <div class="w-full">
                    <div class="bg-[#F9F9F9] h-40 flex">
                        <span class="m-auto text-[17px] text-[#929292]">{{ __('trainer.programs.title.empty') }}</span>
                    </div>
                </div>
            @else
                <div class="w-full">
                    <div class="w-full">
                        <table class="w-full text-[15px]">
                            <thead class="bg-[#F9F9F9] border-b-2 ">
                            <tr>
                                <th scope="col"
                                    class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                    <div class="pl-4">{{ __('trainer.table.head.title.program') }}</div>
                                </th>
                                <th scope="col"
                                    class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                    <div class="pl-4 border-l border-gray-200 whitespace-nowrap">{{ __('trainer.table.head.title.type') }}</div>
                                </th>
                                <th scope="col"
                                    class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                    <div class="pl-4 border-l border-gray-200">{{ __('trainer.table.head.title.grading') }}</div>
                                </th>
                                <th scope="col"
                                    class="px-2 py-3 bg-gray-50 text-left text-sm font-medium text-gray-800">
                                    <div class="pl-4 border-l border-gray-200">{{ __('admin.table.head.action') }}</div>
                                </th>
                            </tr>
                            </thead>
                            <tbody class="">
                            @foreach(Auth::user()->courses as $course)
                                <tr onclick="window.location = '{{ route('trainer.programs.view', $course->id) }}'" class="cursor-pointer">
                                    <td class="px-6 py-1.5 text-sm text-gray-900">
                                        {!! $course->ru_title !!}
                                    </td>

                                    <td class="px-6 py-1.5 whitespace-nowrap text-sm text-gray-900">
                                        {!! $course->typeString !!}
                                    </td>

                                    <td class="px-6 py-1.5 whitespace-nowrap text-sm text-gray-900">
                                        {!! $course->gradingString !!}
                                    </td>

                                    <td class="px-6 py-1.5 whitespace-nowrap text-sm font-medium space-x-2">
                                        <a href="{{ route('trainer.programs.view', $course->id) }}"
                                           class="text-blue-500 hover:text-blue-900 m-0 font-normal">{{ __('trainer.links.show') }}</a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            @endif
        </div>
    </div>
</div>

@push('styles')
{{--    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">--}}
{{--    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>--}}
{{--    <script src="https://cdn.jsdelivr.net/npm/flatpickr/dist/l10n/ru.js"></script>--}}
@endpush